Name: XawXpm
Version: 1.1
Release: 1
Source0: Xaw-XPM-1.1.tar.gz
Patch: Xaw-XPM-1.1-name.patch
Patch1: Xaw-XPM-1.1-config.patch
Patch2: Xaw-XPM-1.1-glibc.patch
Patch3: Xaw-XPM-1.1-widec.patch
Patch4: Xaw-XPM-1.1-posing.patch
Copyright: Freely distributable
Group: X11/Libraries
Summary: X athena widgets in 3d with Xpm support.
URL: http://www.zip.com.au/~bb/XawXpm/
Icon: Xaw-XPM.gif
BuildRoot: /tmp/XawXpm-install

%description
Xaw-xpm is a hack on Xaw3d, which is in turn based on the 'standard' X11 Xaw
widget set. It adds the ability to insert colour images into the backgrounds
of widgets, vastly improving the look of your Xaw apps.

%package devel
Group: X11/Libraries
Summary: Files for developing programs that use XawXpm

%description devel
Development options for the XawXpm package.

%package posing_as_Xaw
Group: X11/Libraries
Summary: 1-to-1 replacement for libXaw.so.6.1

%description posing_as_Xaw
XawXpm is a modified version of the Xaw3d widget set with xpm support.
This RPM contains a shared library with its soname set to libXaw.so.6.1.
It may be used as an in place substitute of libXaw.so.6.1 so that every 
application linked against libXaw.so.6.1 will use this library instead.
It can physically coexist with the original library, but it is not
deterministic then, which of the libraries ldconfig decides for.

%package posing_as_Xaw3d
Group: X11/Libraries
Summary: 1-to-1 replacement for libXaw3d.so.6.1

%description posing_as_Xaw3d
XawXpm is a modified version of the Xaw3d widget set with xpm support.
This RPM contains a shared library with its soname set to libXaw3d.so.6.1.
It may be used as an in place substitute of libXaw3d.so.6.1 so that every 
application linked against libXaw3d.so.6.1 will use this library instead.
It can physically coexist with the original library, but it is not
deterministic then, which of the libraries ldconfig decides for.

%prep
%setup -n XawXpm
%patch -p1
%patch1 -p1
xmkmf
if  ldconfig -p | grep -q libc.so.6
then
%patch2 -p1
fi
%patch3 -p1
%patch4 -p1

%build
make clean
make includes
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib $RPM_BUILD_ROOT/usr/X11R6/include
install -c -m 0755 libXawXpm.so.6.1 $RPM_BUILD_ROOT/usr/X11R6/lib/
install -c -m 0755 libXawXpm_posing_as_Xaw.so.6.1 $RPM_BUILD_ROOT/usr/X11R6/lib/
install -c -m 0755 libXawXpm_posing_as_Xaw3d.so.6.1 $RPM_BUILD_ROOT/usr/X11R6/lib/
cp -pd libXawXpm.so.6 $RPM_BUILD_ROOT/usr/X11R6/lib/
cp -pd libXawXpm.so $RPM_BUILD_ROOT/usr/X11R6/lib/
install -c -m 0644 libXawXpm.a $RPM_BUILD_ROOT/usr/X11R6/lib
ranlib  $RPM_BUILD_ROOT/usr/X11R6/lib/libXawXpm.a

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/X11/XawXpm
install -c -m 0444 *.h $RPM_BUILD_ROOT/usr/X11R6/include/X11/XawXpm

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps
install -c -m 0444 pixmaps/*.xpm $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post posing_as_Xaw
rm -f /usr/X11R6/lib/libXaw.so
ln -s libXaw.so.6 /usr/X11R6/lib/libXaw.so
/sbin/ldconfig

%postun posing_as_Xaw
/sbin/ldconfig
echo !! Have a look at your libXaw and libXaw3d symlinks. !!
echo !! They may have changed.                            !!

%post posing_as_Xaw3d
rm -f /usr/X11R6/lib/libXaw3d.so
ln -s libXaw3d.so.6 /usr/X11R6/lib/libXaw3d.so
/sbin/ldconfig

%postun posing_as_Xaw3d
/sbin/ldconfig
echo !! Have a look at your libXaw and libXaw3d symlinks. !!
echo !! They may have changed.                            !!

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README README-XPM README.Linux.ELF README.Linux.aout
%doc defaults-XawXpm INSTALL
/usr/X11R6/lib/libXawXpm.so.6.1

%files posing_as_Xaw
/usr/X11R6/lib/libXawXpm_posing_as_Xaw.so.6.1

%files posing_as_Xaw3d
/usr/X11R6/lib/libXawXpm_posing_as_Xaw3d.so.6.1

%files devel
/usr/X11R6/include/X11/XawXpm
/usr/X11R6/lib/libXawXpm.a
/usr/X11R6/lib/libXawXpm.so


%changelog
* Fri Mar 13 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>
- Initial version
- Glibc patches
- Other patches.
- Borrowed the posing as patches from neXtaw package.
